# Defold Druid UI Library

# Module `PinKnob`

Druid pin knob custom component.

It's simple rotating input element

## Functions

init(self, callback, template, nodes) | Component init function
set_angle(self, cur_value, min, max) | Set current and min/max angles for component
set_friction(self[, value=1]) | Set current and min/max angles for component

## Fields

druid | The component druid instance
is_drag | Is currently under user control
node | The pin node

## Functions

init(self, callback, template, nodes)
  Component init function

  ### Parameters:

  - self PinKnob PinKnob
  - callback function Callback(self, value) on value changed
  - template string The template string name
  - nodes table Nodes table from gui.clone_tree
set_angle(self, cur_value, min, max)
  Set current and min/max angles for component

  ### Parameters:

  - self PinKnob PinKnob
  - cur_value number The new value for pin knob
  - min number The minimum value for pin knob
  - max number The maximum value for pin knob

  ### Returns:

  PinKnob PinKnob
set_friction(self[, value=1])
  Set current and min/max angles for component

  ### Parameters:

  - self PinKnob PinKnob
  - value number The spin speed multiplier (default 1)

  ### Returns:

  PinKnob PinKnob

## Fields

druid
  The component druid instance
  - druid DruidInstance DruidInstance
is_drag
  Is currently under user control
  - is_drag bool
node
  The pin node
  - node node

generated by LDoc TESTING Last updated 2015-01-01 12:00:00